GAMEDbxrefPropHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.game.GAMEDbxrefPropHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.game
Class GAMEDbxrefPropHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game.StAXPropertyHandler
              org.biojava.bio.seq.io.game.GAMEDbxrefPropHandler

All Implemented Interfaces:
  StAXContentHandler

    public class GAMEDbxrefPropHandler

extends StAXPropertyHandler

Deals with database crossreferences

Author:
  David Huen

Nested Class Summary
`class` | `GAMEDbxrefPropHandler.DbXrefElement`

Field Summary
`static StAXHandlerFactory` | `GAME_DBXREF_PROP_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.game.StAXPropertyHandler
`featureListener, staxenv`

Method Summary
`void` | `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler handler)` when exiting, put the DbXrefElement into the annotation bundle

Methods inherited from class org.biojava.bio.seq.io.game.StAXPropertyHandler
`addHandler, endElement, getHandlerStackIterator, setHandlerCharacteristics, startElement, startElementHandler`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_DBXREF_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_DBXREF_PROP_HANDLER_FACTORY

Method Detail

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler handler)
                           throws SAXException

  when exiting, put the DbXrefElement into the annotation bundle

  Overrides:
    `endElementHandler` in class `StAXPropertyHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD